/* Project: ALISAS WELT, WELCOME PAGE, File: styles.css */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.primary-layout {
    display: grid;
    grid-template: 
    ". . ." .1fr
    ". main ." .3fr
    ". . ." .2fr
    ". footer ." .3fr
    ". . ." .1fr
    / .05fr .9fr .05fr;
    min-height: 100vh;
    justify-items: center;
    font-family: "Geomanist";
    line-height: 1.3;
    border: .5rem solid #ee7bae;
}

.main-content {
    grid-area: main;
    display: grid;
    align-self: end;
    justify-items: center;
}

.main-content h1 {
    font-size: 2.6rem;
    font-weight: 800;
    font-style: normal;
    text-transform: uppercase;
    letter-spacing: .02rem;
    color: #e93e8f;
}

.main-content div {
    display: grid;
    row-gap: .5rem;
    font-weight: 500;
    font-style: normal;
}

.main-content div p {
    font-size: 1rem;
    letter-spacing: .01rem;
    text-align: center;
    color: #4f4b41;
}

.footer {
    grid-area: footer;
    display: grid;
    row-gap: .5rem;
    align-self: end;
    justify-items: center;
    font-size: .9rem;
    font-weight: 400;
    font-style: normal;
    letter-spacing: .01rem;
}

.footer div {
    color: #858379;
}

a {
    font-style: normal;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-underline-position: under;
    text-underline-offset: calc(calc(1rem - .5vw) / 9);
    text-decoration-thickness: calc(calc(.5rem - 1vw) / 3);
}

a:link {
    color: #1455c0;
    text-decoration-color: #1455c0;
}

a:visited {
    color: #6e368c;
    text-decoration-color: #6e368c;
}

a:hover {
    color: #c50014;
    text-decoration-color: #c50014;
}

a:active {
    color: #f75056;
    text-decoration-color: #f75056;
}